Skip to main content
`Ctrl`+`K`

# SNESGetSolutionUpdate

Returns the vector where the solution update is stored.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESGetSolutionUpdate(SNES snes, Vec *x)

Not Collective, but `x` is parallel if `snes` is parallel

## Input Parameter

- snes - the `SNES` context

## Output Parameter

- x - the solution update

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESGetSolution()`, `SNESGetFunction()`

## Level

advanced

## Location

src/snes/interface/snes.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages